Main Page Widgets Namespaces Book

# Gtk::Viewport Class Reference
[Widgets, Container Widgets]

Inheritance diagram for Gtk::Viewport:

[legend]
List of all members.

## Detailed Description

An adapter which makes widgets scrollable.

## Public Member Functions

const Gtk::Adjustment* | get_hadjustment () const
| Returns the horizontal adjustment of the viewport.
Gtk::Adjustment* | get_hadjustment ()
| Returns the horizontal adjustment of the viewport.
ShadowType | get_shadow_type () const
| Gets the shadow type of the Gtk::Viewport.
const Gtk::Adjustment* | get_vadjustment () const
| Returns the vertical adjustment of the viewport.
Gtk::Adjustment* | get_vadjustment ()
| Returns the vertical adjustment of the viewport.
const GtkViewport* | gobj () const
| Provides access to the underlying C GtkObject.
GtkViewport* | gobj ()
| Provides access to the underlying C GtkObject.
void | set_hadjustment (Gtk::Adjustment& adjustment)
| Sets the horizontal adjustment of the viewport.
void | set_hadjustment (Gtk::Adjustment* adjustment=0)
| Sets the horizontal adjustment of the viewport.
void | set_shadow_type (ShadowType type)
| Sets the shadow type of the viewport.
void | set_vadjustment (Gtk::Adjustment& adjustment)
| Sets the vertical adjustment of the viewport.
void | set_vadjustment (Gtk::Adjustment* adjustment=0)
| Sets the vertical adjustment of the viewport.
Glib::SignalProxy2< void, Gtk::Adjustment*, Gtk::Adjustment* > | signal_set_scroll_adjustments ()
| Viewport (Adjustment& hadjustment, Adjustment& vadjustment)
virtual | ~Viewport ()

## Related Functions

(Note that these are not member functions.)
Gtk::Viewport* | wrap (GtkViewport* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::Viewport::~Viewport | ( |  | ) | `[virtual]`

Gtk::Viewport::Viewport | ( | Adjustment& | hadjustment,
|  | Adjustment& | vadjustment
| ) | `[explicit]`

## Member Function Documentation

const Gtk::Adjustment* Gtk::Viewport::get_hadjustment | ( |  | ) | const

Returns the horizontal adjustment of the viewport.

Returns:
  The horizontal adjustment of viewport .

Gtk::Adjustment* Gtk::Viewport::get_hadjustment | ( |  | ) |

Returns the horizontal adjustment of the viewport.

Returns:
  The horizontal adjustment of viewport .

ShadowType Gtk::Viewport::get_shadow_type | ( |  | ) | const

Gets the shadow type of the Gtk::Viewport.

See set_shadow_type().

Returns:
  The shadow type.

const Gtk::Adjustment* Gtk::Viewport::get_vadjustment | ( |  | ) | const

Returns the vertical adjustment of the viewport.

Returns:
  The vertical adjustment of viewport .

Gtk::Adjustment* Gtk::Viewport::get_vadjustment | ( |  | ) |

Returns the vertical adjustment of the viewport.

Returns:
  The vertical adjustment of viewport .

const GtkViewport* Gtk::Viewport::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Bin.

GtkViewport* Gtk::Viewport::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Bin.

void Gtk::Viewport::set_hadjustment | ( | Gtk::Adjustment& | adjustment | ) |

Sets the horizontal adjustment of the viewport.

Parameters:

  | adjustment | A Gtk::Adjustment.

void Gtk::Viewport::set_hadjustment | ( | Gtk::Adjustment* | adjustment = `0` | ) |

Sets the horizontal adjustment of the viewport.

Parameters:

  | adjustment | A Gtk::Adjustment.

void Gtk::Viewport::set_shadow_type | ( | ShadowType | type | ) |

Sets the shadow type of the viewport.

Parameters:

  | type | The new shadow type.

void Gtk::Viewport::set_vadjustment | ( | Gtk::Adjustment& | adjustment | ) |

Sets the vertical adjustment of the viewport.

Parameters:

  | adjustment | A Gtk::Adjustment.

void Gtk::Viewport::set_vadjustment | ( | Gtk::Adjustment* | adjustment = `0` | ) |

Sets the vertical adjustment of the viewport.

Parameters:

  | adjustment | A Gtk::Adjustment.

Glib::SignalProxy2<void,Gtk::Adjustment*,Gtk::Adjustment*> Gtk::Viewport::signal_set_scroll_adjustments | ( |  | ) |

Prototype:
  `void set_scroll_adjustments(Gtk::Adjustment* hadjustment, Gtk::Adjustment* vadjustment)`

## Friends And Related Function Documentation

Gtk::Viewport* wrap | ( | GtkViewport* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- viewport.h